Kerbal Space Program - Feature #368

Camera Gimbal Lock maddeningly common
03/12/2013 08:56 PM - triffid_hunter

Status: Closed % Done: 100%
Severity: Very Low

Assignee:

Category: Controls and Ul

Target version:

Platform: Any Mod Related: No
Expansion:

Description

It seems that every single time | try to reorient the camera, in any camera mode, | run straight into gimbal lock and have to spend
ages struggling to unlock the gimbals just to push the camera a few degrees around or view specific parts of my ship.

Please use quaternions, or some other method that allows arbitrary rotation of the camera without gimbal lock! The ship itself can

rotate indefinitely in any orientation, why not the camera view too?

History

#1 - 03/14/2013 03:48 PM - Anonymous
- Tracker changed from Bug to Feature
- Severity changed from Petty to Very Low

- Version set to 0.18.4

#2 - 11/20/2015 08:04 PM - Squelch

- Status changed from New to Resolved
- % Done changed from 0 to 100

- Platform Any added

Camera controls have had a significant revision since this report, and do indeed use quaternions.

#3 - 07/17/2016 09:17 AM - TriggerAu

- Status changed from Resolved to Closed
